<template>
	<view class="wrap">
		<view class="title">公司介绍</view>
		<view class="backimg">
			<image src="https://wx.fujinyangche.com/nvrnetwork/images/business_instoduce.png"></image>
		</view>
		<view class="content">
			<view class="content_wrap">
				<textarea maxlength="-1"  class="content_text" v-model="businessIntroduce"></textarea>
			</view>
		</view>
		<view class="footer">
			<button class="submit" @tap="save">保存</button>
		</view>
	</view>
</template>

<script>
	import api from "../../../../../../api.js";
	let app = getApp();
	export default {
		data() {
			return {
				businessIntroduce:'',//公司介绍
			}
		},
		onLoad(options) {
			console.log(options);
			uni.setNavigationBarTitle({
			    title: options.name
			})
			this.getData();
		},
		methods: {
			//加载数据
			getData(){
				let data = {
					token:app.globalData.token
				}
				api.getUserStoreMessage(data).then((res)=>{
					this.businessIntroduce = res.data.data.businessIntroduce;
				})
			}
		}
	}
</script>

<style>
	.title{
	  font-size: 32rpx;
	  color:#222222;
	  font-weight: bold;
	  text-align: center;
	  padding-top:36rpx;
	  border-top:1px solid #f2f2f2;
	}
	.backimg{
	  width:100%;
	  padding:0 204rpx;
	  margin-top:4rpx;
	  box-sizing: border-box;
	}
	.backimg image{
	  display: block;
	  width:100%;
	  height:32rpx;
	}
	.content{
	  width:100%;
	  margin-top:30rpx;
	  padding:0 30rpx;
	  box-sizing: border-box;
	}
	.content_wrap{
	  width:100%;
	  padding:42rpx 36rpx 26rpx 34rpx;
	  box-sizing: border-box;
	  background-color: #F9F9F9;
	}
	.content_text{
	  width:100%;
	  font-size: 28rpx;
	  color:#666666;
	  line-height: 52rpx;
	  height:800rpx;
	}
	.footer{
	  width:100%;
	  height:100rpx;
	  background:rgba(255,255,255,1);
	  box-shadow:0px 4rpx 8rpx 0px rgba(0,0,0,0.5);
	  position: fixed;
	  bottom:0;
	  left:0;
	  z-index:100;
	}
	.submit{
	  width:690rpx;
	  height:80rpx;
	  background:linear-gradient(270deg,rgba(254,107,21,1) 0%,rgba(254,163,48,1) 100%);
	  border-radius:40rpx;
	  text-align: center;
	  font-size: 32rpx;
	  color:#ffffff;
	  position: absolute;
	  top:10rpx;
	  left:50%;
	  transform: translateX(-50%)
	}
</style>
